Subject: RE: cygwin tar program won't create directories on NT machine
From: "Richard Stanton" <[email-masked]>
To: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
Cc: "Cygwin Mailing List" <[email-masked]>
Date: Thu, 16 Mar 2000 12:31:13 -0800

You're right...

It only seems to happen in my C:\scratch directory, which on checking has
some very funny permissions set up. All is now fine.

Thanks a lot.

Richard Stanton

> -----Original Message-----
> From: Larry Hall (RFK Partners, Inc) [mailto:[email-masked]]
> Sent: Thursday, March 16, 2000 12:14 PM
> To: Richard Stanton
> Subject: Re: cygwin tar program won't create directories on NT machine
>
>
> At 02:56 PM 3/16/00, you wrote:
> >I have the full cygwin package (20.1) installed on two machines, a Win95
> >laptop and a NT4 desktop. I've just noticed that the tar.exe program that
> >comes with the installation refuses to create directories on my
> NT machine,
> >but runs fine on my laptop. For example, trying the command
> >
> >tar -xvf hyperref.tar
> >
> >(which runs fine on my Win95 machine), I get the following
> errors on my NT
> >machine:
> >
> >tar: hyperref: Could not create directory: Permission denied
> >hyperref/hyperref.dtx
> >tar: hyperref/hyperref.dtx: Could not create file: No such file
> or directory
> >hyperref/nameref.dtx
> >tar: hyperref/nameref.dtx: Could not create file: No such file
> or directory
> >hyperref/.zipped
> >
> >etc.
> >
> >Any ideas what's going on? If I manually create the appropriate
> directories,
> >tar will extract the files OK. It's just the directory creation that is a
> >problem. By the way, the command
> >
> >md hyperref
> >
> >typed at the command line works fine, so there's no real problem creating
> >directories.
> >
> >Thanks for any suggestions.
> >
> >Richard Stanton
>
>
>
> Obviously, it is a permissions problem.  My guess is you're using NTFS.
> This would explain the difference in behavior from NT to 9x.  You should
> check real carefully what permissions NT thinks the directory you're
> using thinks it have.  Output from cygcheck would help as well.  This is
> not generally a problem, as I have no trouble doing this myself...
>
>
>
> Larry Hall                              [email-masked]
> RFK Partners, Inc.                      http://www.rfk.com
> 118 Washington Street                   (508) 893-9779 - RFK Office
> Holliston, MA 01746                     (508) 893-9889 - FAX
>                                         (508) 560-1285 - cell phone
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]